QwtLegend(3)

NAME
QwtLegend -

SYNOPSIS

#include <qwt_legend.h>

  Public Types
enum LegendItemMode { ReadOnlyItem, ClickableItem, CheckableItem }

  Public Member Functions
QwtLegend (QWidget *parent=NULL)
virtual ~QwtLegend ()
void clear ()
QWidget * contentsWidget ()
const QWidget * contentsWidget () const
virtual bool eventFilter (QObject *, QEvent *)
QWidget * find (const QwtLegendItemManager *) const
QwtLegendItemManager * find (const QWidget *) const
virtual int heightForWidth (int w) const
QScrollBar * horizontalScrollBar () const
void insert (const QwtLegendItemManager *, QWidget *)
bool isEmpty () const
uint itemCount () const
LegendItemMode itemMode () const
virtual QList< QWidget * > legendItems () const
void remove (const QwtLegendItemManager *)
void setItemMode (LegendItemMode)
virtual QSize sizeHint () const
QScrollBar * verticalScrollBar () const

  Protected Member Functions
virtual void layoutContents ()

Detailed Description

The legend widget. The QwtLegend widget is a tabular arrangement of legend items. Legend items might be any type of widget, but in general they will be a QwtLegendItem.

See also:
    QwtLegendItem, QwtLegendItemManager QwtPlot

Member Enumeration Documentation

  enum QwtLegend::LegendItemMode

Interaction mode for the legend items. The default is QwtLegend::ReadOnlyItem.

See also:
    setItemMode(), itemMode(), QwtLegendItem::IdentifierMode QwtLegendItem::clicked(), QwtLegendItem::checked(), QwtPlot::legendClicked(), QwtPlot::legendChecked()

Enumerator:

ReadOnlyItem
    The legend item is not interactive, like a label.

ClickableItem
    The legend item is clickable, like a push button.

CheckableItem
    The legend item is checkable, like a checkable button.

Constructor & Destructor Documentation

  QwtLegend::QwtLegend (QWidget *parent = NULL) [explicit]
Constructor

Parameters:
    parent Parent widget

Member Function Documentation

  QWidget * QwtLegend::contentsWidget ()
The contents widget is the only child of the viewport of the internal QScrollArea and the parent widget of all legend items.

Returns:
    Container widget of the legend items

  const QWidget * QwtLegend::contentsWidget () const
The contents widget is the only child of the viewport of the internal QScrollArea and the parent widget of all legend items.

Returns:
    Container widget of the legend items

  bool QwtLegend::eventFilter (QObject *object, QEvent *event) [virtual]
Handle QEvent::ChildRemoved andQEvent::LayoutRequest events for the contentsWidget().

Parameters:
    object Object to be filtered
    event Event

  QWidget * QwtLegend::find (const QwtLegendItemManager *plotItem) const
Find the widget that represents a plot item

Parameters:
    plotItem Plot item

Returns:
    Widget on the legend, or NULL

  QwtLegendItemManager * QwtLegend::find (const QWidget *legendItem) const
Find the widget that represents a plot item

Parameters:
    legendItem Legend item

Returns:
    Widget on the legend, or NULL

  int QwtLegend::heightForWidth (intwidth) const [virtual]
Returns:
    The preferred height, for the width w.

Parameters:
    width Width

  QScrollBar * QwtLegend::horizontalScrollBar () const
Returns:
    Horizontal scrollbar

See also:
    verticalScrollBar()

  void QwtLegend::insert (const QwtLegendItemManager *plotItem, QWidget *legendItem)
Insert a new item for a plot item

Parameters:
    plotItem Plot item
    legendItem New legend item

Note:
    The parent of item will be changed to contentsWidget()

  QwtLegend::LegendItemMode QwtLegend::itemMode () const
See also:
    LegendItemMode

  void QwtLegend::layoutContents () [protected], [virtual]
Adjust contents widget and item layout to the size of the viewport().

  void QwtLegend::remove (const QwtLegendItemManager *plotItem)
Find the corresponding item for a plotItem and remove it from the item list.

Parameters:
    plotItem Plot item

  void QwtLegend::setItemMode (LegendItemModemode)
See also:
    LegendItemMode

  QScrollBar * QwtLegend::verticalScrollBar () const
Returns:
    Vertical scrollbar

See also:
    horizontalScrollBar()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.